Package org.apache.sling.jcr.base.internal.mount

## Class ProxyPrivilegeManager

- java.lang.Object
- - org.apache.sling.jcr.base.internal.mount.ProxyWrapper<org.apache.jackrabbit.api.security.authorization.PrivilegeManager>
  - - org.apache.sling.jcr.base.internal.mount.ProxyPrivilegeManager

All Implemented Interfaces:
  `org.apache.jackrabbit.api.security.authorization.PrivilegeManager`

    public class ProxyPrivilegeManager
    extends ProxyWrapper<org.apache.jackrabbit.api.security.authorization.PrivilegeManager>
    implements org.apache.jackrabbit.api.security.authorization.PrivilegeManager

### Constructor Summary

Constructors
`ProxyPrivilegeManager​(ProxySession<?> mountSession, org.apache.jackrabbit.api.security.authorization.PrivilegeManager delegate, org.apache.jackrabbit.api.security.authorization.PrivilegeManager mount)`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.jcr.security.Privilege` `getPrivilege​(String privilegeName)`
`javax.jcr.security.Privilege[]` `getRegisteredPrivileges()`
`javax.jcr.security.Privilege` `registerPrivilege​(String privilegeName, boolean isAbstract, String[] declaredAggregateNames)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProxyPrivilegeManager

    public ProxyPrivilegeManager​(ProxySession<?> mountSession,
                                 org.apache.jackrabbit.api.security.authorization.PrivilegeManager delegate,
                                 org.apache.jackrabbit.api.security.authorization.PrivilegeManager mount)

### Method Detail

#### getRegisteredPrivileges

    public javax.jcr.security.Privilege[] getRegisteredPrivileges()
                                                           throws javax.jcr.RepositoryException

Specified by:
  `getRegisteredPrivileges` in interface `org.apache.jackrabbit.api.security.authorization.PrivilegeManager`
Throws:
  `javax.jcr.RepositoryException`

#### getPrivilege

    public javax.jcr.security.Privilege getPrivilege​(String privilegeName)
                                              throws javax.jcr.security.AccessControlException,
                                                     javax.jcr.RepositoryException

Specified by:
  `getPrivilege` in interface `org.apache.jackrabbit.api.security.authorization.PrivilegeManager`
Throws:
  `javax.jcr.security.AccessControlException`
  `javax.jcr.RepositoryException`

#### registerPrivilege

    public javax.jcr.security.Privilege registerPrivilege​(String privilegeName,
                                                          boolean isAbstract,
                                                          String[] declaredAggregateNames)
                                                   throws javax.jcr.AccessDeniedException,
                                                          javax.jcr.NamespaceException,
                                                          javax.jcr.RepositoryException

Specified by:
  `registerPrivilege` in interface `org.apache.jackrabbit.api.security.authorization.PrivilegeManager`
Throws:
  `javax.jcr.AccessDeniedException`
  `javax.jcr.NamespaceException`
  `javax.jcr.RepositoryException`